package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.buildcleandisinfectrecord.ElderlyBuildCleanDisinfectRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.buildcleandisinfectrecord.ElderlyBuildCleanDisinfectRecordRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.buildcleandisinfectrecord.ElderlyBuildCleanDisinfectRecordSaveReqVO;

public interface ElderlyBuildCleanDisinfectRecordService {

    Long create(ElderlyBuildCleanDisinfectRecordSaveReqVO createReqVO);

    void update(ElderlyBuildCleanDisinfectRecordSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyBuildCleanDisinfectRecordRespVO get(Long id);

    PageResult<ElderlyBuildCleanDisinfectRecordRespVO> getPage(ElderlyBuildCleanDisinfectRecordPageReqVO pageReqVO);
}
